# Keystone Companion

## [v2.3.6](https://github.com/Thekinghim/keystone-companion/tree/v2.3.6) (2024-05-08)
[Full Changelog](https://github.com/Thekinghim/keystone-companion/compare/v2.3.5...v2.3.6) [Previous Releases](https://github.com/Thekinghim/keystone-companion/releases)

- Merge pull request #69 from Thekinghim/63-refactoring  
- TOC Version Change and added Database Folder for future db refactoring  
- Command Changes & Moved Minimap Code  
    - /kc dev [mode|chat] [enable|on|disable|off]  
    - /kc minimap [enable|on|disable|off]  
- Not logging BAG\_UPDATE in devPrint as it eats up too much performance  
- More Dev QOL Changes  
    - Added /kc devchat [enable|on|disable|off] to stop chat spam  
    - Now printing Bugs that are cause by the Addon in the Dev tool (requires Buggrabber)  
- - Added French Localization  
- QOL Changes for Developing and bug Fix  
    - Added a lot more Documentation for Vs Code  
    - Added Dev Debug Frame  
      - Updates in Real Time  
      - Button to Copy Debug Data  
      - Resizable and Movable to not disturb too much  
    - Fixed a bug on startup in 10.2.7  
- Actually fixing the ScoreCalculator Startup Error  
- - Fixing Calculator not working when M+ Frame wasn't open before  
- Merge pull request #66 from Thekinghim/63-refactoring  
    63 refactoring and fixes  
- - Moved Build Type to TOC so now Build Type + Version can be changed there  
    - Removed AddDebugEntry  
    - Added debug logging to Saved Variables  
- changed the minimap setting to match the same style  
- Some more Refactoring  
- - Fixed M+ Count appearing in tooltips outside of M+  
- - Added filtering to Combat log events to stop spam  
- - Added EventTrace DevPrint  
    - Fixed Event callbacks in Base Addon Mixin  
    - Fixed Main UI not showing Data  
    - Added Combat Log Data to Event Callbacks  
- Using Proper Init Function in dungeonTimer now  
- fixing https://discord.com/channels/1223657495269216347/1236761950445375528/1237017735276265482 by adding the required library  
- Automatically replace GetLocale() when editing a localization  
- Fully refactored to using new Base Addon Lib  
- Base addon mostly refactored  
- Fixed commands being case sensitive and more refactoring  
- Removed redundant Information  
- removed Debug Locale Function  
- Italien Language Added  
- Full Localization Support added  
- Added DebugDB  
- Hopefully fix for the double names + debug messages to get what's wrong with the save best times  
- One step closer on Adding full localization support and a big performance Boost  
- Changed Event Handling  
- Created MakeMovable function in BaseMixin  
- Fixed a bug that caused the Main Frame to not work when inside a raid  
- Created a Base Mixin for the Widgets to easily add functions to all frames at once  
